const config = {
  port: process.env.PORT ? process.env.PORT : 4000,
  cookieSecret: process.env.COOKIE_SECRET ? process.env.COOKIE_SECRET : 'StRoNGs3crE7',
  cookieName: process.env.COOKIE_NAME ? process.env.COOKIE_NAME : 'diva-session',
  cookieSettings: {
    httpOnly: true,
    maxAge: 300000,
    sameSite: true,
    signed: true,
    secure: false, // TODO: NOTE: must be set to true and be used with HTTPS only!
  },
  baseUrl: process.env.BASE_URL ? process.env.BASE_URL : 'http://localhost:4000',
  apiKey: `-----BEGIN RSA PRIVATE KEY-----
MIIEogIBAAKCAQEAqqlhgzUaXl9w8rarUMZiGJhT9DQS6llntn5prGvhogAsjd/A
/80nwOD7fZl+leN2am/NhK5kGSqG5f00XcMgUOu4TVSBgDaBHdMOGMvMJKoTvArU
XxTNXXS91k2SxOXZutGxDUeg4+IjojbQCamLQwt7XEeTr3GUiAn/swDk0xNgueXU
TFV+YZdCuJzujVSBGWlrC6QCtr2CwynKJjvf/l++p3aCal1bda7asuj/CJAPtawi
pHgv7hZoVbqKyUvwCYwLgSIcCq1t7EVhi35nXUFz7ETSvmfs+aR+i63YZYB3y3Wd
9PSXSX4FhZI3GhxJgDL0fYsPZVpNHpej+y77+wIDAQABAoIBAAGGpjKQJP43CEGD
VKDSRUpHAmkqlgi2Z/D/zF4YUNor+joCiC1BXluhJ16GItWgRQzKlyHalVaMRMyF
qRQ1jHJsyScX3FiTJDBqFLQwDlE9nBOQXTnEa9msE454/xj3nSzIdzbRLyUafosS
xmVvuKkOzzmSAkYNU/CrdjfZiDJC9FnE3BSLeaduaRZqG0xo6euf1MF2ZwPOYXlK
qY1hJ/BzmAL2OoRb98DFW9lKJ5o0iraVKt1hBtxWbSmQ6M2n7LldRFust/Gtgrta
YEHZJoapKdaF1dtc3XHBDuAqayjKDkft2Flm1r/NkVoMGaw4G29+4qlE9Qu8pIae
ZpSwZFECgYEA3h8JuY2X0Qy863WjZdK2OZyP2k4Z0u2Ky8Dk2apmbG4TWcj3rWG4
Bh6/a6/Cz8ZJdqEix9q4mqk5z4sLGCneeNMYKLNRiyc3331dT/+V63hRwiPvL4/t
DsyFQg68qhxNExBHyf6iJGDHQulTLrmSPsixkSp6PxD4yrigYDgsy0cCgYEAxLEM
OZXeyqRVTwmpRvlu9D/MSybBBcGZQTMjXo3fXCUI6k46CTM/Dx6IEF4DuEaU1OAq
XEv65C5017Pv8RCxcyeac24b31mmTkY7PgIefblizsCdHdpJlkK+2hjFyid38yd3
GVCrgJuwI8Lt5imXTGtaAIbIKEWp6dHnA4EN+60CgYAOYI/ulL2o6FwqGXk0FAl7
fSjKhpehUYLUYW3usNrkVdOm0h1F+bdBnifhvoSrkjgbF576tKuSRzXYuzVCoSMn
SvKbX8/9Y9J4AtNRZEe98BHKsSzANV6wwIg3mGCZ2i8a9sjOyE6ScDk1mYiq05Ql
wDPOI6O6BU01QfIPiFNN7QKBgHhG+/7K0u6AB1rJwaYRKfRafwcFr8thU+I2704G
26txSj5dj8fIeqs4NGQt2YB6SNDUM5M1MzsN3Y16DyQO3TRZ52zmzEyMedIryFZm
3VZsYyujRXDX51/neOXNeEXiVMtwOrhUSEvg6Jk1vlyc2lR04RipUwStdPXy0Z2m
8XIRAoGAJON12DYM8VyIbXPZhZR5QiJfPtOMlPBVdXBv2DSj1Gi4ohf1/zjvfxG4
9stH/weY3HtEM5mAIkyiW899LasSLa/PICv3QOHuodSiuMf/EaONHCBOYMhJZOsa
BOYFl77Hx1MQER92ldcrZbaQRqs2NIWfVnPDlx3WDnc8UfsnqAs=
-----END RSA PRIVATE KEY-----
`,
  irmaApiServerUrl: process.env.IRMA_API_SERVER_URL ? process.env.IRMA_API_SERVER_URL : 'http://localhost:8081/irma_api_server',
  irmaApiServerPublicKey: `-----BEGIN PUBLIC KEY-----
MIIBIjANBgkqhkiG9w0BAQEFAAOCAQ8AMIIBCgKCAQEAql7fb0EMMkqKcXIuvCVb
P+V1qV6AIzhxFlBO8k0GLogMUT6UXJSnXQ3P7iTIfr+/5+yf4dfKNHhalphe+2OB
zspt6zymteKAuQ9/NwUNGTSP4l8mD8wQb5ZyiNMUt6leu42SPe/7uOtcRA6AzN2L
6eKNqUGpNvQZTVwEFNNNiChqrkmQVnoyWVe6fHHooxTCtIyXWJY2WqC8lYStIbZc
NP5xwUdLGOuGo41T7Q+wkR5KqXDif+FKoR7qlG7jEUHcbd1OQe7b6DxzSHCI65Bw
TIZwMj2LtEwB6Op7vemHkeNaPAYK33t5kdyq+P55KMDuJgj+nxpFO00U4msD+CRa
7QIDAQAB
-----END PUBLIC KEY-----`,
  useRedis: process.env.USE_REDIS ? process.env.USE_REDIS : false,
  redisHost: process.env.REDIS_HOST ? process.env.REDIS_HOST : 'localhost',
  redisPort: process.env.REDIS_PORT ? process.env.REDIS_PORT : '6379',
  redisPassword: process.env.REDIS_PASSWORD ? process.env.REDIS_PASSWORD : '',
  bingMapsApiKey: process.env.BING_MAPS_API_KEY ? process.env.BING_MAPS_API_KEY : '',
};

module.exports = config;
